/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <map>
#include <string>

#include <ox/std/std.hpp>

namespace ox::heapmgr {

[[nodiscard]]
void *malloc(std::size_t allocSize) noexcept;

void free(void *ptr) noexcept;

void initHeap(char *heapBegin, char *heapEnd) noexcept;

}

std::map<std::string, int(*)(std::string)> tests = {
};

int main(int argc, const char **args) {
	int retval = -1;
	if (argc > 1) {
		auto testName = args[1];
		std::string testArg = "";
		if (args[2]) {
			testArg = args[2];
		}
		if (tests.find(testName) != tests.end()) {
			retval = tests[testName](testArg);
		}
	}
	return retval;
}

